package domain

type AlibabaWdkMarketingItempoolAddcategoryMarketResult struct {
	/*
	   错误信息     */
	Message *string `json:"message,omitempty" `

	/*
	   报名活动成功的商品详情     */
	Data *string `json:"data,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   是否报名成功     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaWdkMarketingItempoolAddcategoryMarketResult) SetMessage(v string) *AlibabaWdkMarketingItempoolAddcategoryMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolAddcategoryMarketResult) SetData(v string) *AlibabaWdkMarketingItempoolAddcategoryMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolAddcategoryMarketResult) SetErrorCode(v string) *AlibabaWdkMarketingItempoolAddcategoryMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolAddcategoryMarketResult) SetSuccess(v bool) *AlibabaWdkMarketingItempoolAddcategoryMarketResult {
	s.Success = &v
	return s
}
